•  

Aktive Ausnutzung der Citrix-Schwachstelle

Dem Bundesamt für Sicherheit in der Informationstechnik (BSI) liegen zahlreiche Meldungen vor, nach denen Citrix-Systeme erfolgreich angegriffen werden. Das BSI ruft Anwender erneut dringend auf, die vom Hersteller Citrix bereitgestellten Workaround-Maßnahmen umgehend auszuführen und nicht auf die Sicherheitsupdates zu warten. Anwender, die die Workaround-Maßnahmen bislang nicht umgesetzt haben, sollten zudem ihre direkt mit dem Internet verbundenen Citrix-Systeme auf eine wahrscheinliche Kompromittierung prüfen. Angaben des Herstellers zufolge sollen Sicherheitsupdates je nach Versionszweig der betroffenen Produkte erst Ende Januar 2020 verfügbar sein. Diese sollten dann schnellstmöglich eingespielt werden.

Der US-Software-Hersteller Citrix hat am 17. Dezember 2019 über eine Schwachstelle (CVE-2019-19781) in den Produkten Citrix Gateway und Citrix Application Delivery Controller (ADC), am 16. Januar 2020 auch in der Citrix SD-WAN WANOP Appliance informiert. Die Produkte kommen für den Fernzugriff auf organisationsinterne Anwendungen mit einem Web-Frontend bzw. zur Standortkopplung zum Einsatz. Die Schwachstelle ermöglicht es einem Angreifer, mithilfe von präparierten HTTP-/HTTPS-Anfragen aus den öffentlich zugänglichen Verzeichnissen der Webanwendung auszubrechen und auf interne Verzeichnisse zuzugreifen. Dies kann in der Folge dazu führen, dass der Angreifer Konfigurationsdateien ausliest, Dateien ablegt oder manipuliert oder eigenen Code ausführt.

"In den vergangenen Tagen haben wir knapp 5.000 aus dem Internet erreichbare, verwundbare Citrix-Systeme an deutsche Netzbetreiber gemeldet. Derzeit sind davon immer noch rund 1.500 für Angreifer verwundbar. Leider reagieren die betroffenen Unternehmen oft nur langsam, Workarounds und Patches werden häufig nicht schnell genug umgesetzt. Wenn wir allein an WannaCry denken, so entstanden hier Schäden in Milliardenhöhe. Ich kann nur mit Nachdruck an die Wirtschaft appellieren, solche Warnungen nicht auf die lange Bank zu schieben. Wer Digitales nutzt, um Wert zu schaffen, muss seine Informationssicherheit hochhalten", erklärt BSI-Präsident Arne Schönbohm.

Bereits seit 7. Januar 2020 informiert das BSI deutsche Netzbetreiber über verwundbare Citrix-Systeme. Auch die Bundesverwaltung, Betreiber Kritischer Infrastrukturen und andere IT-Nutzergruppen wurden vom BSI informiert, insbesondere nach dem seit 10. Januar 2020 verstärkt Exploit-Code zur Ausnutzung der Schwachstelle veröffentlicht wurde.

Mit Veröffentlichung der Schwachstellenmeldung hat die Firma Citrix Workaround-Maßnahmen zur Filterung präparierter HTTP-/HTTPS-Anfragen empfohlen. Um die Wirksamkeit des Workarounds sicherzustellen, sollte zumindest in dem Citrix ADC Release 12.1 eine Build-Version mindestens ab 51.16/51.19 und 50.31 zum Einsatz kommen, da der Workaround ansonsten nicht greift.

Weitere Informationen zur Schwachstelle und Workaround stehen im Internet zur Verfügung:
CVE-2019-19781 - Vulnerability in Citrix Application Delivery Controller and Citrix Gateway: https://support.citrix.com/article/CTX267027
CTX267679 - Mitigation steps for CVE-2019-19781: https://support.citrix.com/article/CTX267679
Checklist for Citrix ADC CVE-2019-19781:Opens external link in new window http://deyda.net/index.php/en/2020/01/15/checklist-for-citrix-adc-cve-2019-19781 

Autor: kro

Diesen Artikel empfehlen